# The release pipeline will run only on the releases branch on commit
stages:
  - release

release:
  image: node:18-slim
  stage: release
  before_script:
    - apt-get update && apt-get install -y --no-install-recommends git-core ca-certificates
    - npm install -g semantic-release @semantic-release/gitlab @semantic-release/git @semantic-release/changelog @ambimax/semantic-release-composer@npm:@iwavesmedia/semantic-release-composer
  script:
    - semantic-release
  rules:
    - if: $CI_COMMIT_BRANCH == "releases"
